Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io.bio
Class SocketEndPoint

    java.lang.Object
      org.mortbay.io.bio.StreamEndPoint
          org.mortbay.io.bio.SocketEndPoint

All Implemented Interfaces:
  EndPoint

Direct Known Subclasses:
  SocketConnector.Connection

    public class SocketEndPoint

extends StreamEndPoint

Author:
  gregw To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Constructor Summary
`SocketEndPoint(Socket socket)`

Method Summary
`void` | `close()` Close any backing stream associated with the buffer
`String` | `getLocalAddr()`
`String` | `getLocalHost()`
`int` | `getLocalPort()`
`String` | `getRemoteAddr()`
`String` | `getRemoteHost()`
`int` | `getRemotePort()`
`Object` | `getTransport()`
`boolean` | `isClosed()`

Methods inherited from class org.mortbay.io.bio.StreamEndPoint
`blockReadable, blockWritable, fill, flush, flush, flush, getInputStream, getOutputStream, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isOpen, setInputStream, setOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketEndPoint

    public SocketEndPoint(Socket socket)
                   throws IOException

Throws:
  `IOException`

Method Detail

### isClosed

    public boolean isClosed()

### close

    public void close()
               throws IOException

  Description copied from interface: `EndPoint`
  Close any backing stream associated with the buffer

  Specified by:
    `close` in interface `EndPoint`
  Overrides:
    `close` in class `StreamEndPoint`
  Throws:
    `IOException`

### getLocalAddr

    public String getLocalAddr()

  Specified by:
    `getLocalAddr` in interface `EndPoint`
  Overrides:
    `getLocalAddr` in class `StreamEndPoint`
  Returns:
    The local IP address to which this `EndPoint` is bound, or `null` if this `EndPoint` does not represent a network connection.

### getLocalHost

    public String getLocalHost()

  Specified by:
    `getLocalHost` in interface `EndPoint`
  Overrides:
    `getLocalHost` in class `StreamEndPoint`
  Returns:
    The local host name to which this `EndPoint` is bound, or `null` if this `EndPoint` does not represent a network connection.

### getLocalPort

    public int getLocalPort()

  Specified by:
    `getLocalPort` in interface `EndPoint`
  Overrides:
    `getLocalPort` in class `StreamEndPoint`
  Returns:
    The local port number on which this `EndPoint` is listening, or `0` if this `EndPoint` does not represent a network connection.

### getRemoteAddr

    public String getRemoteAddr()

  Specified by:
    `getRemoteAddr` in interface `EndPoint`
  Overrides:
    `getRemoteAddr` in class `StreamEndPoint`
  Returns:
    The remote IP address to which this `EndPoint` is connected, or `null` if this `EndPoint` does not represent a network connection.

### getRemoteHost

    public String getRemoteHost()

  Specified by:
    `getRemoteHost` in interface `EndPoint`
  Overrides:
    `getRemoteHost` in class `StreamEndPoint`
  Returns:
    The host name of the remote machine to which this `EndPoint` is connected, or `null` if this `EndPoint` does not represent a network connection.

### getRemotePort

    public int getRemotePort()

  Specified by:
    `getRemotePort` in interface `EndPoint`
  Overrides:
    `getRemotePort` in class `StreamEndPoint`
  Returns:
    The remote port number to which this `EndPoint` is connected, or `0` if this `EndPoint` does not represent a network connection.

### getTransport

    public Object getTransport()

  Specified by:
    `getTransport` in interface `EndPoint`
  Overrides:
    `getTransport` in class `StreamEndPoint`
  Returns:
    The underlying transport object (socket, channel, etc.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.